Analyze a website

Run brand analysis without persisting anything. Returns suggested additional domains, aliases, competitors, and prompts.

POST
/tools/analyze

Run brand analysis without persisting anything. Returns suggested additional domains, aliases, competitors, and prompts.

Authorization

BearerAuth
AuthorizationBearer <token>

Bearer API token for access

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

website*string

Brand's website URL or hostname

Length1 <= length
brandName?string

Optional brand name hint. If omitted, inferred from the domain.

maxCompetitors?integer

Maximum number of competitor suggestions. 0 disables competitor generation entirely.

Default20
Range0 <= value <= 100
maxPrompts?integer

Maximum number of suggested prompts. 0 disables prompt generation entirely.

Default30
Range0 <= value <= 100

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://loading/api/v1/tools/analyze" \  -H "Content-Type: application/json" \  -d '{    "website": "string"  }'
{  "brandName": "string",  "website": "string",  "additionalDomains": [    "string"  ],  "aliases": [    "string"  ],  "competitors": [    {      "name": "string",      "domains": [        "string"      ],      "aliases": [        "string"      ]    }  ],  "suggestedPrompts": [    {      "prompt": "string",      "tags": [        "string"      ]    }  ]}
{  "error": "string",  "message": "string"}
{  "error": "string",  "message": "string"}
{  "error": "string",  "message": "string"}